Bug 176683 - Missing Dependency with Excluded Package
Missing Dependency with Excluded Package
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-29 14:31 EST by james
Modified: 2014-01-21 17:53 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-19 16:33:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description james 2005-12-29 14:31:25 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050716 Firefox/1.0.6

Description of problem:
When running yum with the "exclude=" switch, yum still fails.

Version-Release number of selected component (if applicable):
yum-2.4.0-0.fc4

How reproducible:
Always

Steps to Reproduce:
1.$ sudo yum -y --exclude=k3b-ape update
2.
3.
  

Actual Results:  ...
--> Running transaction check
--> Processing Dependency: libk3bplugin.so.2 for package: k3b-ape
--> Finished Dependency Resolution
Error: Missing Dependency: libk3bplugin.so.2 is needed by package k3b-ape


Expected Results:  There can not be a dependency upon an "excluded" package - that makes no sense.

Additional info:
Comment 1 Seth Vidal 2005-12-29 14:34:53 EST
There isn't a dependency on an excluded package:

Do you already have k3b-ape installed on the system?

If so then something you're upgrading is removing a needed library for the
installed k3b-ape.

Hence why k3b-ape is complaining.

excludes only affect packages in repositories, not installed packages.

Note You need to log in before you can comment on or make changes to this bug.